Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.reflect
Class TypeConverter

    java.lang.Object
      org.codehaus.aspectwerkz.reflect.TypeConverter

    public class TypeConverter

extends Object

Methods to convert Class to Java type names. Handles array types and the constructor "return" type.

Author:
  Jonas Bonr , Tibor Varga

Constructor Summary
`TypeConverter()`

Method Summary
`static String` | `convertTypeToJava(Class type)` Converts a Class to its Java language declaration equivalent.
`static String[]` | `convertTypeToJava(Class[] types)` Converts an array of Classes to their Java language declaration equivalents.
`static String` | `convertTypeToJava(com.thoughtworks.qdox.model.Type type)` Converts a QDox type to a Java language declaration equivalent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeConverter

    public TypeConverter()

Method Detail

### convertTypeToJava

    public static String[] convertTypeToJava(Class[] types)

  Converts an array of Classes to their Java language declaration equivalents.

  Parameters:
    `types` - is the array of `Class` objects.
  Returns:
    an array of Strings representing the given types. For `null` types, this method returns "void"s.

### convertTypeToJava

    public static String convertTypeToJava(Class type)

  Converts a Class to its Java language declaration equivalent.

  Parameters:
    `type` - is the `Class` object.
  Returns:
    a Strings representing the given types. For `null` type, this method returns "void".

### convertTypeToJava

    public static String convertTypeToJava(com.thoughtworks.qdox.model.Type type)

  Converts a QDox type to a Java language declaration equivalent.

  Parameters:
    `type` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.